Subject: Re: [PATCH] General CHRP/MPC5K2 Platform and drivers support - to comment

From: Matt Sealey <[email-masked]>
Date: Wed, 25 Oct 2006 16:44:02 +0200

It supports the original processors, G3, G4 etc. as well. Maybe not
the 601? I'm not sure. All the PowerPC ISA Books are in there and
information only seems to have been ADDED (or moved to another
book or been given a new book).

If a processor is not supported it was probably designed and
end-of-lined well before they made the original "Book" specs :D

Have you even looked at it? Even the dumb 'evolution' picture
on Power.org's site makes this quite, quite clear. Most of the
spec is identical, to the letter, over vast amounts of pages.
There are change bars in front of everything that changed and
those that have; it seems they are just lifted and reworked
from Freescale's AltiVec/SPE documentation, reworded in Book E
so you can have a Book E with AltiVec, or has it's own new
book (VLE, which is an IBM-ified copy of the e200 Core
Reference Manual Addendum)

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Paul Mackerras wrote:
> Matt Sealey writes:
> 
>> http://www.power.org/news/articles/new_brand/#isa
>>
>> I'm talking about the one they consolidated from all the different specs
>> Freescale, AMCC and IBM had about what makes a PowerPC processor. Since
>> POWER is part of it and it's all Power.org now.. they seem to have changed
>> the name.
> 
> So, are you proposing we drop support for all the PowerPC processors
> that don't conform to the recently-published V2.03 ISA?  You don't
> want 6xx, 7xx, 7xxx, 52xx, etc. supported any more? :)  (joke :)
> 
> Seriously, the v2.03 ISA covers only IBM's latest POWER processors
> (i.e. not POWER3, POWER4, or even POWER5), and Book E processors.  We
> support a lot more than that.
> 
> Paul.